org.apache.catalina.util

## Class ManifestResource

- java.lang.Object
- - org.apache.catalina.util.ManifestResource

-     public class ManifestResource
      extends Object

  Representation of a Manifest file and its available extensions and required extensions
  Author:
    Greg Murray, Justyna Horwat

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `APPLICATION`
    `static int` | `SYSTEM`
    `static int` | `WAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManifestResource(String resourceName, Manifest manifest, int resourceType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAvailableExtensionCount()` Gets the number of available extensions
    `ArrayList<Extension>` | `getAvailableExtensions()` Gets the list of available extensions
    `int` | `getRequiredExtensionCount()` Gets the number of required extensions
    `ArrayList<Extension>` | `getRequiredExtensions()` Gets the list of required extensions
    `String` | `getResourceName()` Gets the name of the resource
    `boolean` | `isFulfilled()` Returns `true` if all required extension dependencies have been meet for this `ManifestResource` object.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SYSTEM

          public static final int SYSTEM

      See Also:
        Constant Field Values

    - #### WAR

          public static final int WAR

      See Also:
        Constant Field Values

    - #### APPLICATION

          public static final int APPLICATION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ManifestResource

          public ManifestResource(String resourceName,
                          Manifest manifest,
                          int resourceType)

  - ### Method Detail

    - #### getResourceName

          public String getResourceName()

      Gets the name of the resource
      Returns:
        The name of the resource

    - #### getAvailableExtensions

          public ArrayList<Extension> getAvailableExtensions()

      Gets the list of available extensions
      Returns:
        List of available extensions

    - #### getRequiredExtensions

          public ArrayList<Extension> getRequiredExtensions()

      Gets the list of required extensions
      Returns:
        List of required extensions

    - #### getAvailableExtensionCount

          public int getAvailableExtensionCount()

      Gets the number of available extensions
      Returns:
        The number of available extensions

    - #### getRequiredExtensionCount

          public int getRequiredExtensionCount()

      Gets the number of required extensions
      Returns:
        The number of required extensions

    - #### isFulfilled

          public boolean isFulfilled()

      Returns `true` if all required extension dependencies have been meet for this `ManifestResource` object.
      Returns:
        boolean true if all extension dependencies have been satisfied

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.